reduce diff against previous version to only fixing #858769
authormirabilos <m@mirbsd.org>
Tue, 28 Mar 2017 17:47:46 +0000 (19:47 +0200)
committermirabilos <m@mirbsd.org>
Tue, 28 Mar 2017 17:47:46 +0000 (19:47 +0200)
24 files changed:
Makefile.bsd-wrapper
config.h.in
configure
configure.in
doc/cvs.texinfo
lib/Makefile.am
lib/Makefile.in
lib/getdate.c
lib/getdate.y
lib/tempname.c
m4/acx_with_external_zlib.m4 [new file with mode: 0644]
src/client.c
src/filesubr.c
src/log-buffer.c
src/login.c
src/main.c
src/mkmodules.c
src/parseinfo.c
src/rcs.c
src/rsh-client.c
src/sanity.sh
src/server.c
src/subr.c
src/wrapper.c

index 94c7b5a..1fff601 100644 (file)
@@ -1,4 +1,4 @@
-# $MirOS: src/gnu/usr.bin/cvs/Makefile.bsd-wrapper,v 1.37 2017/03/26 23:06:26 tg Exp $
+# $MirOS: src/gnu/usr.bin/cvs/Makefile.bsd-wrapper,v 1.36 2016/11/09 03:04:12 tg Exp $
 # $OpenBSD: Makefile.bsd-wrapper,v 1.44 2004/01/02 09:01:24 millert Exp $
 
 # MirOS patchlevel tracked in configure{.in,}
@@ -33,6 +33,7 @@ CFARGS+=      --prefix=/usr \
 # hardcoded paths
 CFVARS+=       ac_cv_path_CSH=/usr/mpkg/bin/csh
 CFVARS+=       ac_cv_path_PS2PDF=false
+XARGS+=                ZLIB_LIBS=-lz
 
 .include <bsd.own.mk>
 COPTS+=                -Wall -Wno-unused
index 1508067..431f8ec 100644 (file)
@@ -1,4 +1,4 @@
-/* config.h.in.  Generated from configure.in by autoheader 2.61-MirPorts-2.  */
+/* config.h.in.  Generated from configure.in by autoheader 2.61-MirPorts-1.  */
 
 /* Define this to a NULL terminated list of allowed path prefixes (for
    directories) and paths to files the CVS server will allow configuration to
index e1a75e4..e3214f9 100644 (file)
--- a/configure
+++ b/configure
@@ -1,13 +1,13 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61-MirPorts-2 for Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.8.
+# Generated by GNU Autoconf 2.61-MirPorts-1 for Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.7.
 #
 # Report bugs to <miros-discuss@mirbsd.org>.
 #
 # Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995,
 #               1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
 #               Free Software Foundation, Inc.
-# Copyright (c) 2003, 2004, 2005, 2010, 2011, 2012, 2013, 2015, 2016, 2017
+# Copyright (c) 2003, 2004, 2005, 2010, 2011, 2012, 2013, 2015, 2016
 #               mirabilos <m@mirbsd.org>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -590,8 +590,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='Concurrent Versions System (CVS)'
 PACKAGE_TARNAME='cvs'
-PACKAGE_VERSION='1.12.13-MirOS-0AB7.8'
-PACKAGE_STRING='Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.8'
+PACKAGE_VERSION='1.12.13-MirOS-0AB7.7'
+PACKAGE_STRING='Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.7'
 PACKAGE_BUGREPORT='miros-discuss@mirbsd.org'
 
 ac_unique_file="src/cvs.h"
@@ -1259,7 +1259,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.8 to adapt to many kinds of systems.
+\`configure' configures Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.7 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1325,7 +1325,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.8:";;
+     short | recursive ) echo "Configuration of Concurrent Versions System (CVS) 1.12.13-MirOS-0AB7.7:";;
    esac
   cat <<\_ACEOF
 
@@ -1532,8 +1532,8 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Concurrent Versions System (CVS) configure 1.12.13-MirOS-0AB7.8
-generated by GNU Autoconf 2.61-MirPorts-2
+Concurrent Versions System (CVS) configure 1.12.13-MirOS-0AB7.7
+generated by GNU Autoconf 2.61-MirPorts-1
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
@@ -1543,7 +1543,7 @@ gives unlimited permission to copy, distribute and modify it.
 Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995,
               1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
               Free Software Foundation, Inc.
-Copyright (c) 2003, 2004, 2005, 2010, 2011, 2012, 2013, 2015, 2016, 2017
+Copyright (c) 2003, 2004, 2005, 2010, 2011, 2012, 2013, 2015, 2016
               mirabilos <m@mirbsd.org>
 
 This program is free software; you can redistribute it and/or modify
@@ -1562,8 +1562,8 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Concurrent Versions System (CVS) $as_me 1.12.13-MirOS-0AB7.8, which was
-generated by GNU Autoconf 2.61-MirPorts-2.  Invocation command line was
+It was created by Concurrent Versions System (CVS) $as_me 1.12.13-MirOS-0AB7.7, which was
+generated by GNU Autoconf 2.61-MirPorts-1.  Invocation command line was
 
   $ $0 $@
 
@@ -2257,7 +2257,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='cvs'
- VERSION='1.12.13-MirOS-0AB7.8'
+ VERSION='1.12.13-MirOS-0AB7.7'
 
 
 # Some tools Automake needs.
@@ -31892,8 +31892,6 @@ fi
 
 
 
-LIBS="${LIBS:+$LIBS }-lz"
-
 
 # What remote shell transport should our client cvs default to using?
 
@@ -33600,8 +33598,8 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Concurrent Versions System (CVS) $as_me 1.12.13-MirOS-0AB7.8, which was
-generated by GNU Autoconf 2.61-MirPorts-2.  Invocation command line was
+This file was extended by Concurrent Versions System (CVS) $as_me 1.12.13-MirOS-0AB7.7, which was
+generated by GNU Autoconf 2.61-MirPorts-1.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
@@ -33653,8 +33651,8 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-Concurrent Versions System (CVS) config.status 1.12.13-MirOS-0AB7.8
-configured by $0, generated by GNU Autoconf 2.61-MirPorts-2,
+Concurrent Versions System (CVS) config.status 1.12.13-MirOS-0AB7.7
+configured by $0, generated by GNU Autoconf 2.61-MirPorts-1,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
 Copyright (C) 2006 Free Software Foundation, Inc.
index 51d4c76..e1af79f 100644 (file)
@@ -1,4 +1,4 @@
-dnl $MirOS: src/gnu/usr.bin/cvs/configure.in,v 1.28 2017/03/26 23:06:30 tg Exp $
+dnl $MirOS: src/gnu/usr.bin/cvs/configure.in,v 1.26 2017/01/08 19:43:51 tg Exp $
 dnl
 dnl configure.in for cvs
 
@@ -6,7 +6,7 @@ AC_COPYRIGHT(
 [Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995,
               1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
               Free Software Foundation, Inc.
-Copyright (c) 2003, 2004, 2005, 2010, 2011, 2012, 2013, 2015, 2016, 2017
+Copyright (c) 2003, 2004, 2005, 2010, 2011, 2012, 2013, 2015, 2016
               mirabilos <m@mirbsd.org>
 
 This program is free software; you can redistribute it and/or modify
@@ -19,7 +19,7 @@ but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.])
 
-AC_INIT([Concurrent Versions System (CVS)],[1.12.13-MirOS-0AB7.8],
+AC_INIT([Concurrent Versions System (CVS)],[1.12.13-MirOS-0AB7.7],
        [miros-discuss@mirbsd.org],[cvs])
 AC_CONFIG_SRCDIR(src/cvs.h)
 AM_INIT_AUTOMAKE([gnu 1.9.2 dist-bzip2 no-define])
@@ -498,9 +498,6 @@ dnl
 dnl begin --with-*
 dnl
 
-dnl WITH_EXTERNAL_ZLIB is external
-LIBS="${LIBS:+$LIBS }-lz"
-
 dnl
 dnl begin --with-rsh
 dnl
index d3b8b02..38b2ac0 100644 (file)
@@ -11,7 +11,7 @@
   {28truecm}{21truecm}%
  \globaldefs = 0%
 @end tex
-@comment $MirOS: src/gnu/usr.bin/cvs/doc/cvs.texinfo,v 1.32 2017/03/27 16:55:23 tg Exp $
+@comment $MirOS: src/gnu/usr.bin/cvs/doc/cvs.texinfo,v 1.29 2017/01/09 22:54:23 tg Exp $
 @macro copyleftnotice
 @noindent
 Copyright @copyright{} 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000,
@@ -21,7 +21,7 @@ Copyright @copyright{} 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000,
 @multitable @columnfractions .12 .88
 @item Portions
 @item @tab Copyright @copyright{} 2003, 2004, 2005, 2007, 2009, 2010, 2011,
-                                  2013, 2014, 2015, 2016, 2017
+                                  2013, 2014, 2015, 2016
                                   mirabilos, The MirOS Project
 @item @tab Copyright @copyright{} 1999, 2000, 2001, 2002, 2003, 2004, 2005,
                                   2007
@@ -1069,6 +1069,10 @@ to put the lock files somewhere other than in the repository
 if you want to allow read-only access to some directories
 (@pxref{config}).
 
+@c CVS seems to use CVSUMASK in picking permissions for
+@c val-tags, but maybe we should say more about this.
+@c Like val-tags gets created by someone who doesn't
+@c have CVSUMASK set right?
 @cindex CVSROOT/val-tags file, and read-only access to projects
 @cindex val-tags file, and read-only access to projects
 Also note that users must have write access to the
@@ -1100,7 +1104,7 @@ options}; or @code{CVSREAD}, @ref{Environment variables}).
 @c FIXME: Need more discussion of which
 @c group should own the file in the repository.
 @c Include a somewhat detailed example of the usual
-@c case where CVSUMASK is 002, the developers are all
+@c case where CVSUMASK is 007, the developers are all
 @c in a group, and that group owns stuff in the
 @c repository.  Need to talk about group ownership of
 @c newly-created directories/files (on some unices,
@@ -2412,7 +2416,7 @@ environment variable @code{CVS_SERVER} on the client
 machine to the filename of the server you want to use,
 for example @file{/usr/local/bin/cvs-1.6}.
 For the @code{ext} and @code{fork} methods, you may
-also specify @var{CVS_SERVER} as an option in the
+also specify @var{CVS_SERVER} as an otpion in the
 @var{CVSROOT} so that you may use different servers for
 differnt roots. See @ref{Remote repositories} for more
 details.
@@ -7243,7 +7247,7 @@ The date (UTC) the revision was checked in, in a format suitable
 for the Berkeley mdoc macro processing.
 
 @example
-$Mdocdate: March 27 2017 $
+$Mdocdate: January 9 2017 $
 @end example
 
 @cindex Header keyword
@@ -15133,12 +15137,11 @@ Turns on read-only repository mode. This allows one to
 check out from a read-only repository, such as within
 an anoncvs server, or from a @sc{cd-rom} repository.
 
-Setting this has the same effect as if the @samp{-R} command-line
+It has the same effect as if the @samp{-R} command-line
 option is used. This can also allow the use of
 read-only NFS repositories.
 
 @item $CVSUMASK
-@anchor{CVSUMASK}
 Controls permissions of files in the repository.  See
 @ref{File permissions}.
 
@@ -15232,24 +15235,11 @@ the server side. (Currently not used for Unix clients).
 
 @cindex CVS_CLIENT_LOG, environment variable
 @item $CVS_CLIENT_LOG
-Used for debugging only in client-server mode.
-If set and not empty, everything sent to the server is logged
-into @file{@code{$CVS_CLIENT_LOG}.in}, and everything received
-from the server is logged into @file{@code{$CVS_CLIENT_LOG}.out}.
-
-@cindex CVS_SECONDARY_LOG, environment variable
-@item $CVS_SECONDARY_LOG
-Used for debugging only in secondary write proxy mode.
-If set and not empty, everything sent to the primary server is logged
-into @file{@code{$CVS_SECONDARY_LOG}.in}, and everything received
-from the primary server is logged into @file{@code{$CVS_SECONDARY_LOG}.out}.
-
-@cindex CVS_SERVER_LOG, environment variable
-@item $CVS_SERVER_LOG
-Used for debugging only in client-server mode.
-If set and not empty, everything sent to the client is logged
-into @file{@code{$CVS_SERVER_LOG}.in}, and everything received
-from the client is logged into @file{@code{$CVS_SERVER_LOG}.out}.
+Used for debugging only in client-server
+mode.  If set, everything sent to the server is logged
+into @file{@code{$CVS_CLIENT_LOG}.in} and everything
+sent from the server is logged into
+@file{@code{$CVS_CLIENT_LOG}.out}.
 
 @cindex CVS_SERVER_SLEEP, environment variable
 @item $CVS_SERVER_SLEEP
index cac3757..f0df36b 100644 (file)
@@ -1,4 +1,4 @@
-# $MirOS: src/gnu/usr.bin/cvs/lib/Makefile.am,v 1.8 2017/03/26 23:09:14 tg Exp $
+# $MirOS: src/gnu/usr.bin/cvs/lib/Makefile.am,v 1.7 2011/06/11 03:58:06 tg Exp $
 ## Process this file with automake to produce Makefile.in
 # Makefile for library files used by GNU CVS.
 #
@@ -133,7 +133,7 @@ libcvs_a_SOURCES += getaddrinfo.h
 ## CVS test scripts for getdate.
 TESTS += test-getdate.sh
 MOSTLYCLEANFILES += getdate-expected getdate-got getdate.diff
-DISTCLEANFILES += getdate.log getdate.log~
+DISTCLEANFILES += getdate.log
 # Program required by test-getdate.sh for testing getdate.y.
 check_PROGRAMS += getdate
 getdate_SOURCES = \
index 1727d10..729d4dd 100644 (file)
@@ -14,7 +14,7 @@
 
 @SET_MAKE@
 
-# $MirOS: src/gnu/usr.bin/cvs/lib/Makefile.in,v 1.18 2017/03/26 23:11:50 tg Exp $
+# $MirOS: src/gnu/usr.bin/cvs/lib/Makefile.in,v 1.17 2013/06/26 19:58:09 tg Exp $
 # Makefile for library files used by GNU CVS.
 #
 # Copyright (C) 1986-2005 The Free Software Foundation, Inc.
@@ -292,7 +292,7 @@ BUILT_SOURCES = $(ALLOCA_H) $(FNMATCH_H) getdate.c $(STDBOOL_H) \
 MOSTLYCLEANFILES = alloca.h alloca.h-t fnmatch.h fnmatch.h-t \
        getdate-expected getdate-got getdate.diff stdbool.h \
        stdbool.h-t stdint.h stdint.h-t
-DISTCLEANFILES = getdate.log getdate.log~
+DISTCLEANFILES = getdate.log
 MAINTAINERCLEANFILES = getdate.c
 TESTS = test-getdate.sh
 EXTRA_DIST = .cvsignore ChangeLog.fsf Makefile.gnulib build_lib.com \
index 8792514..9a9e57f 100644 (file)
    Copyright (C) 1995, 1997, 1998, 2003, 2004, 2005
    Free Software Foundation, Inc.
 
-   Copyright (c) 2005, 2006, 2007, 2010, 2016, 2017
+   Copyright (c) 2005, 2006, 2007, 2010, 2016
    mirabilos <m@mirbsd.org>
 
    This program is free software; you can redistribute it and/or modify
@@ -258,8 +258,8 @@ xmemdup(void const *p, size_t s)
            "@(""#)" #varname ": " string
 #endif
 
-__IDSTRING(rcsid_code, "$MirOS: src/gnu/usr.bin/cvs/lib/getdate.c,v 1.18 2017/03/26 15:57:46 tg Exp $");
-__IDSTRING(rcsid_bron, "$miros: src/gnu/usr.bin/cvs/lib/getdate.y,v 1.12 2017/03/26 15:54:06 tg Exp $");
+__IDSTRING(rcsid_code, "$MirOS: src/gnu/usr.bin/cvs/lib/getdate.c,v 1.17 2016/10/22 22:46:51 tg Exp $");
+__IDSTRING(rcsid_bron, "$miros: src/gnu/usr.bin/cvs/lib/getdate.y,v 1.11 2016/10/22 22:45:50 tg Exp $");
 
 /* Shift A right by B bits portably, by dividing A by 2**B and
    truncating towards minus infinity.  A and B should be free of side
@@ -2941,9 +2941,9 @@ get_tz (char tzbuf[TZBUFSIZE])
   if (tz)
     {
       size_t tzsize = strlen (tz) + 1;
-      tz = (tzsize == 1 ? NULL : (tzsize <= TZBUFSIZE
+      tz = (tzsize <= TZBUFSIZE
            ? memcpy (tzbuf, tz, tzsize)
-           : xmemdup (tz, tzsize)));
+           : xmemdup (tz, tzsize));
     }
   return tz;
 }
index 34b2a0a..d449d92 100644 (file)
@@ -4,7 +4,7 @@
    Copyright (C) 1995, 1997, 1998, 2003, 2004, 2005
    Free Software Foundation, Inc.
 
-   Copyright (c) 2005, 2006, 2007, 2010, 2016, 2017
+   Copyright (c) 2005, 2006, 2007, 2010, 2016
    mirabilos <m@mirbsd.org>
 
    This program is free software; you can redistribute it and/or modify
@@ -143,7 +143,7 @@ xmemdup(void const *p, size_t s)
            "@(""#)" #varname ": " string
 #endif
 
-__IDSTRING(rcsid_code, "$MirOS: src/gnu/usr.bin/cvs/lib/getdate.y,v 1.12 2017/03/26 15:54:06 tg Exp $");
+__IDSTRING(rcsid_code, "$MirOS: src/gnu/usr.bin/cvs/lib/getdate.y,v 1.11 2016/10/22 22:45:50 tg Exp $");
 /* placeholder line for __IDSTRING(rcsid_bron, "$miros: ..."); so that cpp #line directives work */
 
 /* Shift A right by B bits portably, by dividing A by 2**B and
@@ -1175,9 +1175,9 @@ get_tz (char tzbuf[TZBUFSIZE])
   if (tz)
     {
       size_t tzsize = strlen (tz) + 1;
-      tz = (tzsize == 1 ? NULL : (tzsize <= TZBUFSIZE
+      tz = (tzsize <= TZBUFSIZE
            ? memcpy (tzbuf, tz, tzsize)
-           : xmemdup (tz, tzsize)));
+           : xmemdup (tz, tzsize));
     }
   return tz;
 }
index 5e90ad0..cae42e1 100644 (file)
@@ -66,8 +66,6 @@
 
 #include <sys/stat.h>
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/lib/tempname.c,v 1.2 2017/03/26 15:54:06 tg Exp $");
-
 #if _LIBC
 # define struct_stat64 struct stat64
 #else
@@ -150,7 +148,7 @@ __path_search (char *tmpl, size_t tmpl_len, const char *dir, const char *pfx,
   if (try_tmpdir)
     {
       d = __secure_getenv ("TMPDIR");
-      if (d != NULL && *d && direxists (d))
+      if (d != NULL && direxists (d))
        dir = d;
       else if (dir != NULL && direxists (dir))
        /* nothing */ ;
diff --git a/m4/acx_with_external_zlib.m4 b/m4/acx_with_external_zlib.m4
new file mode 100644 (file)
index 0000000..11a5af3
--- /dev/null
@@ -0,0 +1,180 @@
+# Allow the builder to specify an external ZLIB rather than the version
+# distributed with CVS.
+
+# Copyright (c) 2003
+#              Anthon Pang <apang@telux.net>,
+#               Derek R. Price, Ximbiot <http://ximbiot.com>,
+#               and the Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+# ACX_WITH_EXTERNAL_ZLIB
+# -------------------
+# Determine which ZLIB to use.
+AC_DEFUN([ACX_WITH_EXTERNAL_ZLIB],[
+#
+# Use --with-zlib to build with a zlib other than the version distributed
+# with CVS.
+#
+# defaults to the included snapshot of zlib
+#
+AC_ARG_WITH([external-zlib],
+            AC_HELP_STRING([--with-external-zlib],
+                           [Use the specified ZLIB library (defaults to
+                            the version distributed with the CVS source)]),
+            [with_external_zlib=$withval],
+            [with_external_zlib=no])
+
+#
+# Try to locate a ZLIB installation if no location was specified, assuming
+# external ZLIB was enabled.
+# 
+if test -n "$acx_zlib_cv_external_zlib"; then
+  # Granted, this is a slightly ugly way to print this info, but the
+  # AC_CHECK_HEADER used in the search for a ZLIB installation makes using
+  # AC_CACHE_CHECK worse
+  AC_MSG_CHECKING([for external ZLIB])
+else :; fi
+AC_CACHE_VAL([acx_zlib_cv_external_zlib], [
+  #
+  # --with but no location specified
+  # assume zlib.h locates our install.
+  #
+  acx_zlib_save_CPPFLAGS=$CPPFLAGS
+  for acx_zlib_cv_external_zlib in yes /usr/local no; do
+    if test x$acx_zlib_cv_external_zlib = xno; then
+      break
+    fi
+    if test x$acx_zlib_cv_external_zlib = xyes; then
+      AC_MSG_CHECKING([for external ZLIB])
+      AC_MSG_RESULT([])
+    else
+      CPPFLAGS="$acx_zlib_save_CPPFLAGS -I$acx_zlib_cv_external_zlib/include"
+      AC_MSG_CHECKING([for external ZLIB in $acx_zlib_cv_external_zlib])
+      AC_MSG_RESULT([])
+    fi
+    unset ac_cv_header_zlib_h
+    AC_CHECK_HEADERS([zlib.h])
+    if test "$ac_cv_header_zlib_h" = yes; then
+      break
+    fi
+  done
+  CPPFLAGS=$acx_zlib_save_CPPFLAGS
+AC_MSG_CHECKING([for external ZLIB])
+])dnl
+AC_MSG_RESULT([$acx_zlib_cv_external_zlib])
+
+
+#
+# Output a pretty message naming our selected ZLIB "external" or "package"
+# so that any warnings printed by the version check make more sense.
+#
+AC_MSG_CHECKING([selected ZLIB])
+if test "x$with_external_zlib" = xno; then
+  AC_MSG_RESULT([package])
+else
+  AC_MSG_RESULT([external])
+fi
+
+
+#
+# Verify that the ZLIB we aren't using isn't newer than the one we are.
+#
+if test "x$acx_zlib_cv_external_zlib" != xno; then
+  LOCAL_ZLIB_VERSION=`sed -n '/^#define ZLIB_VERSION ".*"$/{
+                              s/^#define ZLIB_VERSION "\(.*\)"$/\1/;
+                              p;}' <$srcdir/zlib/zlib.h 2>&AS_MESSAGE_LOG_FD`
+  ACX_EXTRACT_HEADER_DEFN([ZLIB_VERSION], [zlib.h])
+  ZLIB_VERSION=`echo "$ZLIB_VERSION" |sed 's/"//g'`
+  ASX_VERSION_COMPARE([$LOCAL_ZLIB_VERSION], [$ZLIB_VERSION],
+    [if test "x$with_external_zlib" = xno; then
+       AC_MSG_WARN(
+         [Found external ZLIB with a more recent version than the
+           package version ($ZLIB_VERSION > $LOCAL_ZLIB_VERSION).  configure with the
+           --with-external-zlib option to select the more recent version.])
+     fi],
+    [],
+    [if test "x$with_external_zlib" != xno; then
+       AC_MSG_WARN(
+         [Package ZLIB is more recent than requested external version
+           ($LOCAL_ZLIB_VERSION > $ZLIB_VERSION).  configure with the --without-external-zlib
+           option to select the more recent version.])
+     fi])
+fi
+
+
+# Now set with_external_zlib to our discovered value or the user specified
+# value, as appropriate.
+if test x$with_external_zlib = xyes; then
+  with_external_zlib=$acx_zlib_cv_external_zlib
+fi
+# $with_external_zlib could still be "no"
+
+
+#
+# Set up ZLIB includes for later use.
+#
+if test x$with_external_zlib != xyes \
+   && test x$with_external_zlib != no; then
+  if test -z "$CPPFLAGS"; then
+    CPPFLAGS="-I$with_external_zlib/include"
+  else
+    CPPFLAGS="$CPPFLAGS -I$with_external_zlib/include"
+  fi
+  if test -z "$LDFLAGS"; then
+    LDFLAGS="-L$with_external_zlib/lib"
+  else
+    LDFLAGS="$LDFLAGS -L$with_external_zlib/lib"
+  fi
+fi
+
+ZLIB_CPPFLAGS=
+ZLIB_LIBS=
+ZLIB_SUBDIRS=
+if test x$with_external_zlib = xno; then
+  # We need ZLIB_CPPFLAGS so that later executions of cpp from configure
+  # don't try to interpret $(top_srcdir)
+  ZLIB_CPPFLAGS='-I$(top_srcdir)/zlib'
+  ZLIB_LIBS='$(top_builddir)/zlib/libz.a'
+  # ZLIB_SUBDIRS is only used in the top level Makefiles.
+  ZLIB_SUBDIRS=zlib
+else
+  # We know what to do now, so set up the CPPFLAGS, LDFLAGS, and LIBS for later
+  # use.
+  if test -z "$LIBS"; then
+    LIBS=-lz
+  else
+    LIBS="$LIBS -lz"
+  fi
+
+  #
+  # Verify external installed zlib works
+  #
+  # Ideally, we would also check that the version is newer
+  #
+  AC_MSG_CHECKING([that ZLIB library works])
+  AC_TRY_LINK([#include <zlib.h>],
+              [int i = Z_OK; const char *version = zlibVersion();],
+              [AC_MSG_RESULT([yes])],
+              [AC_MSG_RESULT([no])
+               AC_MSG_ERROR([ZLIB failed to link])])
+fi
+
+dnl Subst for the local case
+AC_SUBST(ZLIB_SUBDIRS)dnl
+AC_SUBST(ZLIB_CPPFLAGS)dnl
+AC_SUBST(ZLIB_LIBS)dnl
+])
index 76d7ff0..6c40ee4 100644 (file)
@@ -20,7 +20,7 @@
 #include "buffer.h"
 #include "save-cwd.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/client.c,v 1.7 2017/03/26 15:54:07 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/client.c,v 1.6 2016/11/08 21:46:13 tg Exp $");
 
 #ifdef CLIENT_SUPPORT
 
@@ -3357,7 +3357,7 @@ get_port_number (const char *envname, const char *portname, int defaultport)
     struct servent *s;
     char *port_s;
 
-    if (envname && (port_s = getenv (envname)) && *port_s)
+    if (envname && (port_s = getenv (envname)))
     {
        int port = atoi (port_s);
        if (port <= 0)
@@ -3810,7 +3810,7 @@ connect_to_forked_server (cvsroot_t *root, struct buffer **to_server_p,
 
     command[0] = (root->cvs_server
                  ? root->cvs_server : getenv ("CVS_SERVER"));
-    if (!command[0] || !command[0][0])
+    if (!command[0])
 # ifdef SERVER_SUPPORT
         /* FIXME:
          * I'm casting out the const below because I know that piped_child, the
index d9c398c..64e9f4b 100644 (file)
@@ -22,8 +22,6 @@
 #include "save-cwd.h"
 #include "xsize.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/filesubr.c,v 1.4 2017/03/26 15:54:08 tg Exp $");
-
 static int deep_remove_dir (const char *path);
 
 /*
@@ -810,7 +808,7 @@ get_homedir (void)
     if (home != NULL)
        return home;
 
-    if (!server_active && (env = getenv ("HOME")) != NULL && *env)
+    if (!server_active && (env = getenv ("HOME")) != NULL)
        home = env;
     else if ((pw = (struct passwd *) getpwuid (getuid ()))
             && pw->pw_dir)
@@ -865,11 +863,7 @@ static char *tmpdir_env;
 const char *
 get_system_temp_dir (void)
 {
-    if (!tmpdir_env) {
-      tmpdir_env = getenv (TMPDIR_ENV);
-      if (tmpdir_env && !*tmpdir_env)
-        tmpdir_env = NULL;
-    }
+    if (!tmpdir_env) tmpdir_env = getenv (TMPDIR_ENV);
     return tmpdir_env;
 }
 
index 9f7b0f8..c7cb6a9 100644 (file)
@@ -17,8 +17,6 @@
 #include "cvs.h"
 #include "buffer.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/log-buffer.c,v 1.2 2017/03/26 15:54:08 tg Exp $");
-
 #if defined CLIENT_SUPPORT || defined SERVER_SUPPORT
 
 /* We want to be able to log data sent between us and the server.  We
@@ -483,7 +481,7 @@ setup_logfiles (char *var, struct buffer **to_server_p,
    * We do this _after_ authentication on purpose.  Wouldn't really like to
    * worry about logging passwords...
    */
-  if (log && *log)
+  if (log)
     {
       int len = strlen (log);
       char *buf = xmalloc (len + 5);
index 53fa010..ab3c6c7 100644 (file)
@@ -15,7 +15,7 @@
 #include "cvs.h"
 #include "getline.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/login.c,v 1.8 2017/03/26 15:54:08 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/login.c,v 1.7 2016/11/08 23:04:37 tg Exp $");
 
 /* There seems to be very little agreement on which system header
    getpass is declared in.  With a lot of fancy autoconfiscation,
@@ -46,7 +46,7 @@ construct_cvspass_filename (void)
     char *passfile;
 
     /* Environment should override file. */
-    if ((passfile = getenv ("CVS_PASSFILE")) != NULL && *passfile)
+    if ((passfile = getenv ("CVS_PASSFILE")) != NULL)
        return xstrdup (passfile);
 
     /* Construct absolute pathname to user's password file. */
index fe20ea4..d7d22aa 100644 (file)
@@ -28,7 +28,7 @@
 uint32_t arc4random(void);
 #endif
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/main.c,v 1.23 2017/03/26 15:54:08 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/main.c,v 1.22 2017/01/08 19:13:05 tg Exp $");
 
 const char *program_name;
 const char *program_path;
@@ -532,11 +532,11 @@ main (int argc, char **argv)
      * Query the environment variables up-front, so that
      * they can be overridden by command line arguments
      */
-    if ((cp = getenv (EDITOR1_ENV)) != NULL && *cp)
+    if ((cp = getenv (EDITOR1_ENV)) != NULL)
        Editor = cp;
-    else if ((cp = getenv (EDITOR2_ENV)) != NULL && *cp)
+    else if ((cp = getenv (EDITOR2_ENV)) != NULL)
        Editor = cp;
-    else if ((cp = getenv (EDITOR3_ENV)) != NULL && *cp)
+    else if ((cp = getenv (EDITOR3_ENV)) != NULL)
        Editor = cp;
     if (getenv (CVSREAD_ENV) != NULL)
        cvswrite = 0;
@@ -797,7 +797,7 @@ distribution kit for a complete list of contributors and copyrights.\n",
           a command-line flag to set the umask, since we'll have to
           parse it before we get here. */
 
-       if ((cp = getenv (CVSUMASK_ENV)) != NULL && *cp)
+       if ((cp = getenv (CVSUMASK_ENV)) != NULL)
        {
            /* FIXME: Should be accepting symbolic as well as numeric mask.  */
            cvsumask = strtol (cp, &end, 8) & 0777;
@@ -933,7 +933,7 @@ distribution kit for a complete list of contributors and copyrights.\n",
            if (!CVSroot_parsed)
            {
                char *tmp = getenv (CVSROOT_ENV);
-               if (tmp && *tmp)
+               if (tmp)
                {
                    if (!(CVSroot_parsed = parse_cvsroot (tmp)))
                        error (1, 0, "Bad CVSROOT: `%s'.", tmp);
index ee6cf15..b29678e 100644 (file)
@@ -15,7 +15,7 @@
 #include "history.h"
 #include "save-cwd.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/mkmodules.c,v 1.16 2017/03/27 16:55:27 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/mkmodules.c,v 1.14 2016/05/12 11:55:35 tg Exp $");
 
 #ifndef DBLKSIZ
 #define        DBLKSIZ 4096                    /* since GNU ndbm doesn't define it */
@@ -1254,8 +1254,8 @@ init (int argc, char **argv)
        }
     }
 
-    /* Turn on history logging of write operations by default.
-       The user can remove the file to disable it.  */
+    /* Turn on history logging by default.  The user can remove the file
+       to disable it.  */
     strcpy (info, adm);
     strcat (info, "/");
     strcat (info, CVSROOTADM_HISTORY);
index e946b7c..05f1344 100644 (file)
@@ -15,7 +15,7 @@
 #include "getline.h"
 #include "history.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/parseinfo.c,v 1.15 2017/03/27 16:37:47 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/parseinfo.c,v 1.12 2016/08/08 16:48:30 tg Exp $");
 
 /*
  * Parse the INFOFILE file for the specified REPOSITORY.  Invoke CALLPROC for
@@ -618,23 +618,18 @@ parse_config (const char *cvsroot, const char *path)
        }
        else if (strcmp (line, "LogHistory") == 0)
        {
-           static char *prevpath = NULL;
-           static unsigned int prevln;
-
-           if (prevpath != NULL) {
-               error (0, 0, "\
+           if (strcmp (p, "all") != 0)
+           {
+               static bool gotone = false;
+               if (gotone)
+                   error (0, 0, "\
 %s [%u]: warning: duplicate LogHistory entry found.",
-                 infopath, ln);
-               error (0, 0, "\
-%s [%u]: notice: this was the first definition.",
-                 prevpath, prevln);
-           } else {
-               prevln = ln;
-               prevpath = xstrdup(infopath);
+                          infopath, ln);
+               else
+                   gotone = true;
+               free (retval->logHistory);
+               retval->logHistory = xstrdup (p);
            }
-           free(retval->logHistory);
-           retval->logHistory = xstrdup(strcmp(p, "all") ? p :
-             ALL_HISTORY_REC_TYPES);
        }
        else if (strcmp (line, "RereadLogAfterVerify") == 0)
        {
index 5465def..599a302 100644 (file)
--- a/src/rcs.c
+++ b/src/rcs.c
@@ -33,7 +33,7 @@
 # endif
 #endif
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/rcs.c,v 1.14 2017/03/26 15:54:09 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/rcs.c,v 1.13 2012/04/22 14:57:41 tg Exp $");
 
 /* The RCS -k options, and a set of enums that must match the array.
    These come first so that we can use enum kflag in function
@@ -2484,7 +2484,7 @@ RCS_magicrev (RCSNode *rcs, char *rev)
     check_rev = xrev;
 
     local_branch_num = getenv("CVS_LOCAL_BRANCH_NUM");
-    if (local_branch_num && *local_branch_num)
+    if (local_branch_num)
     {
       rev_num = atoi(local_branch_num);
       if (rev_num < 2)
index 2db873e..47e517c 100644 (file)
@@ -15,7 +15,7 @@
 #include "cvs.h"
 #include "buffer.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/rsh-client.c,v 1.6 2017/03/26 15:54:10 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/rsh-client.c,v 1.5 2011/06/11 00:39:38 tg Exp $");
 
 #ifdef CLIENT_SUPPORT
 
@@ -60,7 +60,7 @@ start_rsh_server (cvsroot_t *root, struct buffer **to_server_p,
     char *rsh_argv[16];
     char argvport[16];
 
-    if (!cvs_rsh || !*cvs_rsh)
+    if (!cvs_rsh)
        /* People sometimes suggest or assume that this should default
           to "remsh" on systems like HPUX in which that is the
           system-supplied name for the rsh program.  However, that
@@ -82,7 +82,7 @@ start_rsh_server (cvsroot_t *root, struct buffer **to_server_p,
           if that is what they want (the manual already tells them
           that).  */
        cvs_rsh = RSH_DFLT;
-    if (!cvs_server || !*cvs_server)
+    if (!cvs_server)
        cvs_server = "cvs";
 
     /* The command line starts out with rsh. */
@@ -151,9 +151,9 @@ start_rsh_server (cvsroot_t *root, struct buffer **to_server_p,
     int tofd, fromfd;
     int child_pid;
 
-    if (!cvs_rsh || !*cvs_rsh)
+    if (!cvs_rsh)
        cvs_rsh = RSH_DFLT;
-    if (!cvs_server || !*cvs_server)
+    if (!cvs_server)
        cvs_server = "cvs";
 
     /* Pass the command to rsh as a single string.  This shouldn't
index 5db1d03..3ba0fe0 100644 (file)
@@ -1,6 +1,6 @@
 #! /bin/sh
 :
-# $MirOS: src/gnu/usr.bin/cvs/src/sanity.sh,v 1.16 2017/03/26 22:53:34 tg Exp $
+# $MirOS: src/gnu/usr.bin/cvs/src/sanity.sh,v 1.7 2017/01/08 21:14:34 tg Exp $
 #-
 # set DISABLE_ANY_RSH=1 to skip rsh and ssh calls
 #
@@ -26,7 +26,7 @@
 usage ()
 {
     echo "Usage: `basename $0` --help"
-    echo "Usage: `basename $0` [-eklnpr] [-c CONFIG-FILE] [-f FROM-TEST] \\"
+    echo "Usage: `basename $0` [--eklr] [-c CONFIG-FILE] [-f FROM-TEST] \\"
     echo "                 [-h HOSTNAME] [-s CVS-FOR-CVS-SERVER] CVS-TO-TEST \\"
     echo "                 [TESTS-TO-RUN...]"
 }
@@ -41,53 +41,55 @@ exit_help ()
 {
     usage
     echo
-    echo "-H|--help        display this text"
+    echo "-H|--help    display this text"
     echo "-c CONFIG-FILE"
     echo "--config=CONFIG_FILE"
-    echo "                 use an alternate test suite config file (defaults to"
-    echo "                 'sanity.config.sh' in the same directory as"
-    echo "                 CVS-TO-TEST is found in)"
-    echo "-e|--skipfail    Treat tests that would otherwise be nonfatally skipped"
-    echo "                 for reasons like missing tools as failures, exiting"
-    echo "                 with an error message.  Also treat warnings as"
-    echo "                 failures."
+    echo "             use an alternate test suite config file (defaults to"
+    echo "             \`sanity.config.sh' in the same directory as"
+    echo "             CVS-TO-TEST is found in)"
+    echo "-e|--skipfail Treat tests that would otherwise be nonfatally skipped"
+    echo "              for reasons like missing tools as failures, exiting"
+    echo "              with an error message.  Also treat warnings as"
+    echo "             failures."
     echo "-f FROM-TEST"
     echo "--from-test=FROM-TEST"
-    echo "                 run TESTS-TO-RUN, skipping all tests in the list before"
-    echo "                 FROM-TEST"
+    echo "             run TESTS-TO-RUN, skipping all tests in the list before"
+    echo "             FROM-TEST"
     echo "-h HOSTNAME"
     echo "--hostname HOSTNAME"
-    echo "                 Use :ext:HOSTNAME to run remote tests rather than"
-    echo "                 :fork:.  Implies --remote and assumes that \$TESTDIR"
-    echo "                 resolves to the same directory on both the client and"
-    echo "                 the server."
-    echo "-k|--keep        try to keep directories created by individual tests"
-    echo "                 around, exiting after the first test which supports"
-    echo "                 --keep"
-    echo "-l|--link-root   test CVS using a symlink to a real CVSROOT"
-    echo "-n|--noredirect  test a secondary/primary CVS server (writeproxy)"
-    echo "                 configuration with the Redirect response disabled"
-    echo "                 (implies --proxy)."
-    echo "-p|--proxy       test a secondary/primary CVS server (writeproxy)"
-    echo "                 configuration (implies --remote)."
-    echo "-r|--remote      test client/server, as opposed to local, CVS"
+    echo "              Use :ext:HOSTNAME to run remote tests rather than"
+    echo "              :fork:.  Implies --remote and assumes that \$TESTDIR"
+    echo "              resolves to the same directory on both the client and"
+    echo "              the server."
+    echo "-k|--keep    try to keep directories created by individual tests"
+    echo "             around, exiting after the first test which supports"
+    echo "             --keep"
+    echo "-l|--link-root"
+    echo "             test CVS using a symlink to a real CVSROOT"
+    echo "-n|--noredirect"
+    echo "              test a secondary/primary CVS server (writeproxy)"
+    echo "              configuration with the Redirect response disabled"
+    echo "              (implies --proxy)."
+    echo "-p|--proxy   test a secondary/primary CVS server (writeproxy)"
+    echo "              configuration (implies --remote)."
+    echo "-r|--remote  test client/server, as opposed to local, CVS"
     echo "-s CVS-FOR-CVS-SERVER"
     echo "--server=CVS-FOR-CVS-SERVER"
-    echo "                 use CVS-FOR-CVS-SERVER as the path to the CVS SERVER"
-    echo "                 executable to be tested (defaults to CVS-TO-TEST and"
-    echo "                 implies --remote)"
-    echo ""
-    echo "CVS-TO-TEST      the path to the CVS executable to be tested; used as"
-    echo "                 the path to the CVS client when CVS-FOR-CVS-SERVER is"
-    echo "                 specified"
-    echo "TESTS-TO-RUN     the names of the tests to run (defaults to all tests)"
+    echo "             use CVS-FOR-CVS-SERVER as the path to the CVS SERVER"
+    echo "             executable to be tested (defaults to CVS-TO-TEST and"
+    echo "             implies --remote)"
+    echo
+    echo "CVS-TO-TEST  the path to the CVS executable to be tested; used as"
+    echo "             the path to the CVS client when CVS-FOR-CVS-SERVER is"
+    echo "             specified"
+    echo "TESTS-TO-RUN the names of the tests to run (defaults to all tests)"
     exit 2
 }
 
 checklongoptarg()
 {
     if test "x$1" != xoptional && test -z "$OPTARG"; then
-       echo "option '--$LONGOPT' requires an argument" >&2
+       echo "option \`--$LONGOPT' requires an argument" >&2
        exit_usage
     fi
 }
@@ -174,7 +176,7 @@ while getopts Hc:ef:h:klnprs:-: option ; do
                checklongoptarg
                ;;
            h)
-               echo "'--h' is ambiguous.  Could mean '--help' or '--hostname'" >&2
+               echo "\`--h' is ambiguous.  Could mean \`--help' or \`--hostname'" >&2
                exit_usage
                ;;
            he|hel|help)
@@ -206,7 +208,7 @@ while getopts Hc:ef:h:klnprs:-: option ; do
                OPTARG=
                ;;
            s)
-               echo "'--s' is ambiguous.  Could mean '--server' or '--skipfail'" >&2
+               echo "\`--s' is ambiguous.  Could mean \`--server' or \`--skipfail'" >&2
                exit_usage
                ;;
            se|ser|serv|serve|server)
@@ -331,7 +333,7 @@ if test -r "$configfile"; then
        . "$configfile"
 else
        echo "WARNING: Failed to locate test suite config file" >&2
-       echo "         '$configfile'." >&2
+       echo "         \`$configfile'." >&2
 fi
 
 
@@ -345,7 +347,7 @@ if test -n "$remotehost"; then
     # Verify that $CVS_RSH $remotehost works.
     result=`$CVS_RSH $remotehost 'echo test'`
     if test $? != 0 || test "x$result" != "xtest"; then
-       echo "'$CVS_RSH $remotehost' failed." >&2
+       echo "\`$CVS_RSH $remotehost' failed." >&2
        exit 1
     fi
 fi
@@ -392,7 +394,7 @@ if $remote; then
     fi
     if $CVS_RSH $remotehost "${servercvs} --version </dev/null |
          grep '^Concurrent.*(.*server)$' >/dev/null 2>&1"; then :; else
-      echo "CVS executable '$remotehost:${servercvs}' does not contain server support." >&2
+      echo "CVS executable \`$remotehost:${servercvs}' does not contain server support." >&2
       exit 1
     fi
   else
@@ -407,7 +409,7 @@ if $remote; then
     fi
     if ${servercvs} --version </dev/null |
          grep '^Concurrent.*(.*server)$' >/dev/null 2>&1; then :; else
-      echo "CVS executable '${servercvs}' does not contain server support." >&2
+      echo "CVS executable \`${servercvs}' does not contain server support." >&2
       exit 1
     fi
   fi
@@ -418,7 +420,7 @@ fi
 if $remote; then
   if ${testcvs} --version </dev/null |
        grep '^Concurrent.*(client.*)$' >/dev/null 2>&1; then :; else
-    echo "CVS executable '${testcvs}' does not contain client support." >&2
+    echo "CVS executable \`${testcvs}' does not contain client support." >&2
     exit 1
   fi
 fi
@@ -437,7 +439,7 @@ fi
 dokeep() 
 { 
     if ${keep}; then
-      echo "Keeping ${TESTDIR} for test case '${what}' and exiting due to --keep"
+      echo "Keeping ${TESTDIR} for test case \`${what}' and exiting due to --keep"
       exit 0
     fi
 }
@@ -455,7 +457,7 @@ echo 'This test should produce no other output than this message, and a final "O
 echo '(Note that the test can take an hour or more to run and periodically stops'
 echo 'for as long as one minute.  Do not assume there is a problem just because'
 echo 'nothing seems to happen for a long time.  If you cannot live without'
-echo "running status, try the command: 'tail -f check.log' from another window.)"
+echo "running status, try the command: \`tail -f check.log' from another window.)"
 
 # Regexp to match what the CVS client will call itself in output that it prints.
 # FIXME: we don't properly quote this--if the name contains . we'll
@@ -769,7 +771,7 @@ version_test ()
     fi
   fi
   if $verbad; then
-    echo "The command '$vercmd' does not support the --version option."
+    echo "The command \`$vercmd' does not support the --version option."
   fi
   # It does not really matter that --version is not supported
   return 0
@@ -815,10 +817,10 @@ find_tool ()
     fi
   done
   if test -n "$TOOL"; then
-    echo "Notice: The default version of '$default_TOOL' is defective." >>$LOGFILE
-    echo "using '$TOOL' and hoping for the best." >>$LOGFILE
-    echo "Notice: The default version of '$default_TOOL' is defective." >&2
-    echo "using '$TOOL' and hoping for the best." >&2
+    echo "Notice: The default version of \`$default_TOOL' is defective." >>$LOGFILE
+    echo "using \`$TOOL' and hoping for the best." >>$LOGFILE
+    echo "Notice: The default version of \`$default_TOOL' is defective." >&2
+    echo "using \`$TOOL' and hoping for the best." >&2
     echo $TOOL
   else
     echo $default_TOOL
@@ -831,7 +833,7 @@ id_tool_test ()
   if $id -u >/dev/null 2>&1 && $id -un >/dev/null 2>&1; then
     return 0
   else
-    echo "Running these tests requires an 'id' program that understands the"
+    echo "Running these tests requires an \`id' program that understands the"
     echo "-u and -n flags.  Make sure that such an id (GNU, or many but not"
     echo "all vendor-supplied versions) is in your path."
     return 1
@@ -960,8 +962,8 @@ def' : "a${DOTSTAR}f" >/dev/null; then
 else
   DOTSTAR='\(.\|
 \)*'
-  echo "Notice: DOTSTAR changed from sane '.*' value to '$DOTSTAR'"
-  echo "to workaround GNU expr version 1.10 thru 1.12 bug where '.'"
+  echo "Notice: DOTSTAR changed from sane \`.*' value to \`$DOTSTAR\`"
+  echo "to workaround GNU expr version 1.10 thru 1.12 bug where \`.'"
   echo "does not match a newline."
 fi
 return 0
@@ -1078,7 +1080,7 @@ if test -d $TESTDIR/ls-test; then
     rm -rf $TESTDIR/ls-test
 fi
 if $ls $TESTDIR/ls-test >/dev/null 2>&1; then
-  echo "Notice: '$ls' is defective."
+  echo "Notice: \`$ls' is defective."
   echo 'This is a version of ls which does not correctly'
   echo 'return false for files that do not exist. Some tests may'
   echo 'spuriously pass or fail.'
@@ -1233,7 +1235,7 @@ require_rsh ()
   result=`$1 $host 'echo test'`
   rc=$?
   if test $? != 0 || test "x$result" != "xtest"; then
-    skipreason="'$1 $host' failed rc=$rc result=$result"
+    skipreason="\`$1 $host' failed rc=$rc result=$result"
     return 77
   fi
 
@@ -1325,7 +1327,7 @@ warn ()
 fail ()
 {
   echo "FAIL: $1" | tee -a ${LOGFILE}
-  echo "*** Please see the 'TESTS' and 'check.log' files for more information." >&2
+  echo "*** Please see the \`TESTS' and \`check.log' files for more information." >&2
   # This way the tester can go and see what remnants were left
   exit 1
 }
@@ -1734,7 +1736,7 @@ if test -n "$fromtest"; then
          count=`expr $count + 1`
        done
        if test $count != 1; then
-               echo "No such test '$fromtest'." >&2
+               echo "No such test \`$fromtest'." >&2
                exit 2
        fi
        # make sure it is in $tests
@@ -1742,7 +1744,7 @@ if test -n "$fromtest"; then
                *" $fromtest "*)
                        ;;
                *)
-                       echo "No such test '$fromtest'." >&2
+                       echo "No such test \`$fromtest'." >&2
                        exit 2
                        ;;
        esac
@@ -2640,7 +2642,7 @@ CVSROOT=`newroot $CVSROOT_DIRNAME`; export CVSROOT
 ###
 dotest init-1 "$testcvs init"
 
-# We might need to allow "cvs admin" access and full history.
+# We might need to allow "cvs admin" access.
 mkdir wnt
 cd wnt
 dotest init-1a "$testcvs -q co CVSROOT" "[UP] CVSROOT${DOTSTAR}"
@@ -2656,9 +2658,6 @@ $SPROG commit: Rebuilding administrative file database"
 cd ../..
 rm -r wnt
 
-write_secondary_wrapper() { :; }
-CVS_SERVER_secondary_wrapper_orig=$CVS_SERVER
-
 # Now hide the primary root behind a secondary if requested.
 if $proxy; then
     # Save the primary root.
@@ -2685,7 +2684,6 @@ if $proxy; then
     if $noredirect; then
        # Wrap the CVS server to allow --primary-root to be set by the
        # secondary.
-    write_secondary_wrapper() {
        cat <<EOF >$TESTDIR/secondary-wrapper
 #! $TESTSHELL
 CVS_SERVER=$TESTDIR/primary-wrapper
@@ -2693,8 +2691,8 @@ export CVS_SERVER
 
 # No need to check the PID of the last client since we are testing with
 # Redirect disabled.
-proot_arg="--allow-root=$SECONDARY_CVSROOT_DIRNAME --allow-root=$PRIMARY_CVSROOT_DIRNAME"
-exec $CVS_SERVER_secondary_wrapper_orig \$proot_arg "\$@"
+proot_arg="--allow-root=$SECONDARY_CVSROOT_DIRNAME"
+exec $CVS_SERVER \$proot_arg "\$@"
 EOF
        cat <<EOF >$TESTDIR/primary-wrapper
 #! $TESTSHELL
@@ -2704,8 +2702,7 @@ if test -n "$CVS_SERVER_LOG"; then
 fi
 exec $CVS_SERVER "\$@"
 EOF
-    }
-       write_secondary_wrapper
+
        CVS_SERVER_secondary=$TESTDIR/secondary-wrapper
        CVS_SERVER=$CVS_SERVER_secondary
 
@@ -2746,10 +2743,10 @@ case "\$dir" in
     # were written to.
     case "\$cmd" in
       add|import)
-       # For 'add', we need a recursive update due to quirks in rsync syntax,
+       # For \`add', we need a recursive update due to quirks in rsync syntax,
        # but it shouldn't affect efficiency since any new dir should be empty.
        #
-       # For 'import', a recursive update is necessary since subdirs may have
+       # For \`import', a recursive update is necessary since subdirs may have
        # been added underneath the root dir we were passed. 
         $RSYNC -rglop \\
               $PRIMARY_CVSROOT_DIRNAME/"\$dir" \\
@@ -2757,7 +2754,7 @@ case "\$dir" in
         ;;
 
       tag)
-       # 'tag' may have changed CVSROOT/val-tags too.
+       # \`tag' may have changed CVSROOT/val-tags too.
         $RSYNC -glop \\
                $PRIMARY_CVSROOT_DIRNAME/CVSROOT/val-tags \\
                $SECONDARY_CVSROOT_DIRNAME/CVSROOT
@@ -2842,7 +2839,7 @@ cp -Rp $CVSROOT_DIRNAME/CVSROOT $TESTDIR/CVSROOT.save
 ###
 dotest init-2 "$testcvs init"
 
-# We might need to allow "cvs admin" access and full history.
+# We might need to allow "cvs admin" access.
 mkdir wnt
 cd wnt
 dotest init-2a "$testcvs -q co CVSROOT" "[UP] CVSROOT${DOTSTAR}"
@@ -3409,12 +3406,10 @@ ${SPROG} \[admin aborted\]: attempt to delete all revisions"
          # texts that can be used and explicitly leaves open the format
          # of these messages. Also, GNU getopt is broken and does not
          # use __progname in the first place. *sigh* -- mirabilos
-         # Also supporting either argv0 with both errors and optional
-         # quotes now. -- mirabilos
          dotest_fail basicb-21 "${testcvs} -q admin -H" \
-"admin: i[ln][lv][ea][gl][ai][ld] option -- '*H'*
+"admin: invalid option -- '*H'*
 ${CPROG} \[admin aborted\]: specify ${CPROG} -H admin for usage information" \
-"cvs: i[ln][lv][ea][gl][ai][ld] option -- '*H'*
+"cvs: illegal option -- '*H'*
 ${CPROG} \[admin aborted\]: specify ${CPROG} -H admin for usage information"
          cd ..
          rmdir 1
@@ -23602,7 +23597,7 @@ EOF
          dotest parseroot3-9 "$testcvs -Q co -ldtop ."
          dotest parseroot3-10 "test -d top"
          dotest parseroot3-11 "test -d top/CVS"
-         dotest parseroot3-12 "cat top/CVS/Root" "$CVSROOT"
+         dotest parseroot3-10 "cat top/CVS/Root" "$CVSROOT"
 
          dokeep
          cd ..
@@ -28916,9 +28911,6 @@ $SPROG commit: Rebuilding administrative file database"
          cd ../..; rm -r wrkarnd
 
          dotest multiroot-setup-3 "$testcvs2 init"
-         # remove automatically-created LogHistory to work around the fact
-         # that CVS does not track those per root (and thus warns about
-         # encountering multiple of these entries)
          mkdir wrkarnd; cd wrkarnd
          dotest multiroot-setup-3a "$testcvs2 -q co CVSROOT" "[UP] CVSROOT${DOTSTAR}"
          cd CVSROOT
@@ -30032,9 +30024,6 @@ anyone
          CVSROOT2=`newroot $CVSROOT2_DIRNAME`
 
          dotest multiroot2-1 "${testcvs} -d ${CVSROOT1} init" ""
-         # remove automatically-created LogHistory to work around the fact
-         # that CVS does not track those per root (and thus warns about
-         # encountering multiple of these entries)
          mkdir wrkarnd; cd wrkarnd
          dotest multiroot2-1a "$testcvs -d ${CVSROOT1} -q co CVSROOT" "[UP] CVSROOT${DOTSTAR}"
          cd CVSROOT
@@ -31359,7 +31348,7 @@ ${CVSROOT_DIRNAME}dir1
 noop
 EOF
 
-           dotest server2-3 "${servercvs} server" \
+           dotest 2-3 "${servercvs} server" \
 "E protocol error: directory '${TESTDIR}' not within root '${CVSROOT_DIRNAME}'
 error  " <<EOF
 Root ${CVSROOT_DIRNAME}
@@ -31381,20 +31370,6 @@ ${CVSROOT_DIRNAME}
 Unchanged foo/bar
 noop
 EOF
-
-           dotest server2-5 \
-"${servercvs} --allow-root=${CVSROOT_DIRNAME}.bad server" \
-"E Bad root ${CVSROOT_DIRNAME}
-error  " <<EOF
-Root ${CVSROOT_DIRNAME}
-noop
-EOF
-           dotest server2-6 \
-"${servercvs} --allow-root=${CVSROOT_DIRNAME} server" \
-"ok" <<EOF
-Root ${CVSROOT_DIRNAME}
-noop
-EOF
            servercvs=$save_servercvs
          fi
          ;;
@@ -32117,7 +32092,6 @@ ${SPROG} update: Updating first/subdir"
          SECONDARY_CVSROOT_save=$SECONDARY_CVSROOT
          SECONDARY_CVSROOT_DIRNAME=$TESTDIR/writeproxy_cvsroot
          SECONDARY_CVSROOT=`newroot $SECONDARY_CVSROOT_DIRNAME`
-         write_secondary_wrapper
 
          # Initialize the primary repository
          dotest writeproxy-init-1 "$testcvs -d$PRIMARY_CVSROOT init"
@@ -32298,7 +32272,6 @@ $SPROG \[update aborted\]: could not find desired version 1\.4 in $PRIMARY_CVSRO
          PRIMARY_CVSROOT=$PRIMARY_CVSROOT_save
          SECONDARY_CVSROOT_DIRNAME=$SECONDARY_CVSROOT_DIRNAME_save
          SECONDARY_CVSROOT=$SECONDARY_CVSROOT_save
-         write_secondary_wrapper
          ;;
 
 
@@ -32332,11 +32305,10 @@ $SPROG \[update aborted\]: could not find desired version 1\.4 in $PRIMARY_CVSRO
          PRIMARY_CVSROOT=`newroot $PRIMARY_CVSROOT_DIRNAME`
          SECONDARY_CVSROOT_DIRNAME_save=$SECONDARY_CVSROOT_DIRNAME
          SECONDARY_CVSROOT_DIRNAME=$TESTDIR/writeproxy_cvsroot
-         write_secondary_wrapper
 
          # Initialize the primary repository
          dotest writeproxy-noredirect-init-1 \
-"$testcvs -d'$PRIMARY_CVSROOT_DIRNAME' init"
+"$testcvs -d'$PRIMARY_CVSROOT' init"
          mkdir writeproxy-noredirect; cd writeproxy-noredirect
          mkdir primary; cd primary
          dotest writeproxy-noredirect-init-2 \
@@ -32570,7 +32542,6 @@ EOF
          PRIMARY_CVSROOT_DIRNAME=$PRIMARY_CVSROOT_DIRNAME_save
          PRIMARY_CVSROOT=$PRIMARY_CVSROOT_save
          SECONDARY_CVSROOT_DIRNAME=$SECONDARY_CVSROOT_DIRNAME_save
-         write_secondary_wrapper
          ;;
 
 
@@ -32614,7 +32585,6 @@ EOF
          PRIMARY_CVSROOT=:ext:$host:$PRIMARY_CVSROOT_DIRNAME
          SECONDARY_CVSROOT_DIRNAME=$TESTDIR/writeproxy_cvsroot
          SECONDARY_CVSROOT=":ext;Redirect=yes:$host:$SECONDARY_CVSROOT_DIRNAME"
-         write_secondary_wrapper
 
          # Initialize the primary repository
          dotest writeproxy-ssh-init-1 "$testcvs -d$PRIMARY_CVSROOT init"
@@ -32680,7 +32650,6 @@ EOF
          PRIMARY_CVSROOT=$PRIMARY_CVSROOT_save
          SECONDARY_CVSROOT_DIRNAME=$SECONDARY_CVSROOT_DIRNAME_save
          SECONDARY_CVSROOT=$SECONDARY_CVSROOT_save
-         write_secondary_wrapper
          ;;
 
 
@@ -32719,7 +32688,6 @@ EOF
          PRIMARY_CVSROOT=:ext:$host:$PRIMARY_CVSROOT_DIRNAME
          SECONDARY_CVSROOT_DIRNAME=$TESTDIR/writeproxy_cvsroot
          SECONDARY_CVSROOT=":ext;Redirect=no:$host:$PRIMARY_CVSROOT_DIRNAME"
-         write_secondary_wrapper
 
          # Initialize the primary repository
          dotest writeproxy-ssh-noredirect-init-1 \
@@ -32759,7 +32727,7 @@ export CVS_SERVER
 # No need to check the PID of the last client since we are testing with
 # Redirect disabled.
 proot_arg="--allow-root ${PRIMARY_CVSROOT##*:} --allow-root=$SECONDARY_CVSROOT_DIRNAME"
-exec $CVS_SERVER_secondary_wrapper_orig \$proot_arg "\$@"
+exec $CVS_SERVER \$proot_arg "\$@"
 EOF
          cat <<EOF >$TESTDIR/writeproxy-primary-wrapper
 #! $TESTSHELL
@@ -32812,7 +32780,6 @@ EOF
          PRIMARY_CVSROOT=$PRIMARY_CVSROOT_save
          SECONDARY_CVSROOT_DIRNAME=$SECONDARY_CVSROOT_DIRNAME_save
          SECONDARY_CVSROOT=$SECONDARY_CVSROOT_save
-         write_secondary_wrapper
          rm $TESTDIR/writeproxy-secondary-wrapper \
             $TESTDIR/writeproxy-primary-wrapper
          CVS_SERVER=$CVS_SERVER_save
@@ -35924,7 +35891,6 @@ if test -n "$skippedoutput" || test -n "$warningsoutput"; then
   extendedinfo="$extendedinfo)"
 fi
 
-echo "OK, all $passed tests passed$extendedinfo." >>$LOGFILE
 echo "OK, all $passed tests passed$extendedinfo."
 
 # TODO:
index 46325a2..10cfa4f 100644 (file)
@@ -20,7 +20,7 @@
 #include "getline.h"
 #include "getnline.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/server.c,v 1.12 2017/03/26 15:54:10 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/server.c,v 1.11 2016/11/09 02:54:33 tg Exp $");
 
 int server_active = 0;
 
@@ -3735,7 +3735,7 @@ error  \n");
         * Set this in .bashrc if you want to give yourself time to attach
         * to the subprocess with a debugger.
         */
-       if (getenv("CVS_SERVER_SLEEP") && *getenv("CVS_SERVER_SLEEP"))
+       if (getenv ("CVS_SERVER_SLEEP"))
        {
            int secs = atoi (getenv ("CVS_SERVER_SLEEP"));
            TRACE (TRACE_DATA, "Sleeping CVS_SERVER_SLEEP (%d) seconds", secs);
@@ -6352,7 +6352,7 @@ server (int argc, char **argv)
      * Set this in .bashrc if you want to give yourself time to attach
      * to the subprocess with a debugger.
      */
-    if (getenv("CVS_PARENT_SERVER_SLEEP") && *getenv("CVS_PARENT_SERVER_SLEEP"))
+    if (getenv ("CVS_PARENT_SERVER_SLEEP"))
     {
        int secs = atoi (getenv ("CVS_PARENT_SERVER_SLEEP"));
        TRACE (TRACE_DATA, "Sleeping CVS_PARENT_SERVER_SLEEP (%d) seconds",
index 2d5c724..ba73905 100644 (file)
@@ -26,7 +26,7 @@
 # include <wchar.h>
 #endif
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/subr.c,v 1.7 2017/03/26 15:54:12 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/subr.c,v 1.6 2011/07/28 15:54:35 tg Exp $");
 
 
 extern char *getlogin (void);
@@ -316,12 +316,8 @@ getcaller (void)
        char *name;
 
        /* super-user; try getlogin() to distinguish */
-       name = getlogin();
-       if (!name || !*name)
-               name = getenv("LOGNAME");
-       if (!name || !*name)
-               name = getenv("USER");
-       if (name && *name)
+       if (((name = getlogin ()) || (name = getenv("LOGNAME")) ||
+            (name = getenv("USER"))) && *name)
        {
            cache = xstrdup (name);
            return cache;
index cc0c66d..103ea6a 100644 (file)
@@ -11,7 +11,7 @@
 #include "cvs.h"
 #include "getline.h"
 
-__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/wrapper.c,v 1.4 2017/03/26 15:54:12 tg Exp $");
+__RCSID("$MirOS: src/gnu/usr.bin/cvs/src/wrapper.c,v 1.3 2010/09/19 19:43:13 tg Exp $");
 
 /*
   Original Author:  athan@morgan.com <Andrew C. Athan> 2/1/94
@@ -359,8 +359,6 @@ wrap_add (char *line, int isTemp)
        /* Search for the wild card */
     while (*line && isspace ((unsigned char) *line))
        ++line;
-    if (!*line)
-       return;
     for (temp = line;
         *line && !isspace ((unsigned char) *line);
         ++line)